sc::TranslateData(3)

NAME
sc::TranslateData -

Generic data translation'.

SYNOPSIS

#include <translate.h>

Inherited by sc::TranslateDataByteSwap'.

  Public Member Functions
virtual char format_code ()
Returns a code for the type of format for the external data'.
virtual void to_native (char *, int n)
Translates to native format in-place'.
virtual void to_external (char *, int n)
Translates to external format in-place'.
virtual void to_native (short *, int n)
virtual void to_external (short *, int n)
virtual void to_native (unsigned int *, int n)
virtual void to_external (unsigned int *, int n)
virtual void to_native (int *, int n)
virtual void to_external (int *, int n)
virtual void to_native (long *, int n)
virtual void to_external (long *, int n)
virtual void to_native (float *, int n)
virtual void to_external (float *, int n)
virtual void to_native (double *, int n)
virtual void to_external (double *, int n)
virtual void to_native (char *target, const void *source, int n)
Translates to native format'.
virtual void to_external (void *target, const char *source, int n)
Translates to external format'.
virtual void to_native (short *, const void *, int n)
virtual void to_external (void *, const short *, int n)
virtual void to_native (unsigned int *, const void *, int n)
virtual void to_external (void *, const unsigned int *, int n)
virtual void to_native (int *, const void *, int n)
virtual void to_external (void *, const int *, int n)
virtual void to_native (long *, const void *, int n)
virtual void to_external (void *, const long *, int n)
virtual void to_native (float *, const void *, int n)
virtual void to_external (void *, const float *, int n)
virtual void to_native (double *, const void *, int n)
virtual void to_external (void *, const double *, int n)

  Static Public Member Functions
static TranslateData * vctor (char code)
A virtual constructor that choses a specialization based on the format code'.

Detailed Description

Generic data translation'.

Member Function Documentation

  virtual void sc::TranslateData::to_external (char *, intn) [virtual]

Translates to external format in-place'. Similar routines exist for all the basic types'.

Reimplemented in sc::TranslateDataByteSwap'.

  virtual void sc::TranslateData::to_external (void *target, const char *source, intn) [virtual]

Translates to external format'. Similar routines exist for all the basic types'.

Reimplemented in sc::TranslateDataByteSwap'.

  virtual void sc::TranslateData::to_native (char *, intn) [virtual]

Translates to native format in-place'. Similar routines exist for all the basic types'.

Reimplemented in sc::TranslateDataByteSwap'.

  virtual void sc::TranslateData::to_native (char *target, const void *source, intn) [virtual]

Translates to native format'. Similar routines exist for all the basic types'.

Reimplemented in sc::TranslateDataByteSwap'.

  static TranslateData* sc::TranslateData::vctor (charcode) [static]

A virtual constructor that choses a specialization based on the format code'.

Author

Generated automatically by Doxygen for MPQC from the source code'.